This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 49535 - /etc/screenrc is invalid
/etc/screenrc is invalid
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: screen (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-20 11:09 EDT by Brock Organ
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-26 04:50:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brock Organ 2001-07-20 11:09:26 EDT
Description of Problem:

testing with 7.2-beta2-i386 test tree:

The /etc/screenrc file provided with screen is invalid:

[root@dhcpd176 root]# ls -l /etc/screenrc 
-r--r--r--    1 root     root          102 Jul 10 19:25 /etc/screenrc
[root@dhcpd176 root]# od -c /etc/screenrc 
0000000  \n  \n  \n  \n  \n  \n  \n  \n  \n  \n  \n  \n  \n  \n  \n  \n
*
0000140  \n  \n  \n  \n  \n  \n
0000146
[root@dhcpd176 root]# rpm -V screen
[root@dhcpd176 root]#
Comment 1 Glen Foster 2001-07-20 15:57:08 EDT
This defect considered MUST-FIX for Fairfax.
Comment 2 David Balažic 2001-07-26 04:50:20 EDT
screen 3.9.9-1 ( from Fairfax beta-1 )

/etc/screenrc is empty. Cause : line 52 in the spec file :

sed -e 's/\/usr\/local\/etc/\/etc/;g' < etc/etcscreenrc > etc/etcscreenrc.tmp

Fix :
sed -e 's/\/usr\/local\/etc/\/etc/g' < etc/etcscreenrc > etc/etcscreenrc.tmp
Comment 3 Crutcher Dunnavant 2001-08-03 12:42:49 EDT
fixed. OOps.

Note You need to log in before you can comment on or make changes to this bug.